> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve restricted offboarding dates

GET https://api.letsdeel.com/rest/eor/contracts/{contract_id}/offboarding/restricted-dates

Returns country-specific dates unavailable for offboarding end-date selection—including weekends and public holidays—along with the earliest available end date; optionally filtered by termination type.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/get-contract-offboarding-restricted-dates

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the employee contract.

### Query parameters

- `termination_type` (enum, optional) — Type of offboarding.
  - Allowed values: `TERMINATION`, `RESIGNATION`

## Response

### 200

Successful retrieval of restricted dates.

- `data` (EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

Forbidden

- `errors` (list of EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaData

- `restricted_dates` (list of string, required) — Dates that are not enabled for selection.
- `earliest_available_end_date` (string, required) — The earliest date that can be selected as the end date.
- `is_out_work_scheduled_allowed` (boolean, required) — Whether scheduling out of work is allowed.
- `is_end_date_allowed_on_holidays` (boolean, required) — Whether end date selection is allowed on holidays.

### EorContractsContractIdOffboardingRestrictedDatesGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code of the handler which produced the returned error
- `field` (string, optional) — The field name where error occurred (null for server errors)
- `message` (string, optional) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": {
    "restricted_dates": [
      "2025-06-20T00:00:00.000Z"
    ],
    "earliest_available_end_date": "2025-06-20T00:00:00.000Z",
    "is_out_work_scheduled_allowed": true,
    "is_end_date_allowed_on_holidays": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates"

querystring = {"termination_type":"TERMINATION"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/restricted-dates?termination_type=TERMINATION")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```